package com.gic.finance.constant;
/**
 * 发票状态
 * @ClassName: InvoiceStatusEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/14 2:30 PM 
 */
public enum InvoiceStatusEnum {
    TO_BE_ISSUED(1, "待开具"),
    TO_BE_MAILED(2, "待邮寄"),
    MAILED(3, "已邮寄"),
    REJECT(4, "已驳回"),
    CANCEL(5, "已取消");

    private int code;
    private String message;

    private InvoiceStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "--";
        }
        for (InvoiceStatusEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
