package com.gic.finance.constant;
/**
 * 发票类型
 * @ClassName: InvoiceTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/14 2:35 PM 
 */
public enum InvoiceTypeEnum {
    NORMAL(1, "纸质普通发票"),
    VAT_INVOICE(2, "纸质增值税专用发票");

    private int code;
    private String message;

    private InvoiceTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "--";
        }
        for (InvoiceTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
