package com.gic.finance.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
/**
 * 开票户
 * @ClassName: InvoiceAccountDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 10:05 AM 
 */
public class InvoiceAccountDTO implements Serializable{
    private static final long serialVersionUID = -8590063187778073490L;

    public interface Save {

    }

    public interface Edit {

    }
    /**
     *
     */
    @NotNull(message = "主键不能为空", groups = {Edit.class})
    private Integer invoiceAccountId;

    /**
     * 开户单位名称
     */
    @NotBlank(message = "单位名称不能为空", groups = {Save.class})
    private String accountName;

    /**
     * 纳税识别号
     */
    @NotBlank(message = "纳税号不能为空", groups = {Save.class})
    private String taxNumber;

    /**
     * 地址
     */
    @NotBlank(message = "地址不能为空", groups = {Save.class})
    private String address;

    /**
     * 开户行
     */
    @NotBlank(message = "开户行不能为空", groups = {Save.class})
    private String bank;

    /**
     * 开户电话
     */
    @NotBlank(message = "电话不能为空", groups = {Save.class})
    private String accountPhone;

    /**
     * 开户账号
     */
    @NotBlank(message = "开户账号不能为空", groups = {Save.class})
    private String bankAccount;

    /**
     * 状态 0 ：删除 1:启用 2:停用
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getInvoiceAccountId() {
        return invoiceAccountId;
    }

    public void setInvoiceAccountId(Integer invoiceAccountId) {
        this.invoiceAccountId = invoiceAccountId;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getTaxNumber() {
        return taxNumber;
    }

    public void setTaxNumber(String taxNumber) {
        this.taxNumber = taxNumber;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getAccountPhone() {
        return accountPhone;
    }

    public void setAccountPhone(String accountPhone) {
        this.accountPhone = accountPhone;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
