package com.gic.finance.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.finance.dto.InvoiceAccountDTO;
/**
 * 开票户
 * @ClassName: InvoiceAccountApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 10:07 AM 
 */
public interface InvoiceAccountApiService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param invoiceAccountDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> save(InvoiceAccountDTO invoiceAccountDTO);

    /**
     * 编辑
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param invoiceAccountDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> update(InvoiceAccountDTO invoiceAccountDTO);

    /**
     * 启用
     * @Title: enable 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> enable(Integer id);

    /**
     * 关闭
     * @Title: enable 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> disable(Integer id);


    /**
     * 详情
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param invoiceAccountId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.finance.dto.InvoiceAccountDTO> 
      */
    ServiceResponse<InvoiceAccountDTO> getById(Integer invoiceAccountId);

    /**
     * 查询启用的那条数据
     * @Title: getEnable 
     * @Description:
      * @author guojuxing  
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.finance.dto.InvoiceAccountDTO> 
      */
    ServiceResponse<InvoiceAccountDTO> getEnable();

}
