package com.gic.finance.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.finance.dao.mapper.TabInvoiceAccountMapper;
import com.gic.finance.dto.InvoiceAccountDTO;
import com.gic.finance.entity.TabInvoiceAccount;
import com.gic.finance.service.InvoiceAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("invoiceAccountService")
public class InvoiceAccountServiceImpl implements InvoiceAccountService{
    @Autowired
    private TabInvoiceAccountMapper tabInvoiceAccountMapper;
    @Override
    public void save(InvoiceAccountDTO dto) {
        tabInvoiceAccountMapper.insert(EntityUtil.changeEntityNew(TabInvoiceAccount.class, dto));
    }

    @Override
    public TabInvoiceAccount getEnable() {
        return tabInvoiceAccountMapper.getEnable();
    }

    @Override
    public TabInvoiceAccount getById(Integer id) {
        return tabInvoiceAccountMapper.selectByPrimaryKey(id);
    }

    @Override
    public void update(InvoiceAccountDTO dto) {
        dto.setUpdateTime(new Date());
        tabInvoiceAccountMapper.updateByPrimaryKeySelective(EntityUtil.changeEntityNew(TabInvoiceAccount.class, dto));
    }

    @Override
    public void closeStatus() {

    }
}
