package com.gic.finance.web.vo;

import com.gic.finance.constant.InvoiceStatusEnum;
import com.gic.finance.constant.InvoiceTypeEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * 发票管理详情
 * @ClassName: InvoiceManagerDetailVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/29 9:44 AM 
 */
public class InvoiceManagerDetailVO implements Serializable{
    private static final long serialVersionUID = 3809863484337760339L;
    /**
     *
     */
    private Integer invoiceManageId;

    /**
     * （发票类型）1:纸质普通发票 2: 纸质增值税专用发票
     */
    private Integer invoiceType;

    private String invoiceTypeStr;

    /**
     *
     */
    private Date createTime;
    /**
     * 申请单流水号
     */
    private String invoiceApplySerial;
    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 开票金额
     */
    private Double billingAmount;
    /**
     * 发票状态 1:待开具 2:待邮寄 3:已邮寄 4:已驳回 5:已取消
     */
    private Integer invoiceStatus;
    /**
     * 发票状态名称
     */
    private String invoiceStatusStr;
    /**
     * 操作人姓名
     */
    private String operatorName;

    /**
     * 操作时间
     */
    private Date operatorTime;

    /**
     * 操作人手机号码
     */
    private String operatorPhone;

    /**
     * 操作人手机号国际区号
     */
    private String operatorPhoneAreaCode;
    /**
     * 快递公司
     */
    private String expressMailName;

    /**
     * 快递单号
     */
    private String expressMailNumber;

    /**
     * 驳回理由
     */
    private String rejectReason;

    /**
     * 纳税识别号
     */
    private String taxNumber;

    /**
     * 开户单位名称
     */
    private String accountName;

    /**
     * 纳税识别号-开票户
     */
    private String taxNumberOfInvoice;

    /**
     * 地址
     */
    private String address;

    /**
     * 开户行
     */
    private String bank;

    /**
     * 开户电话
     */
    private String accountPhone;

    /**
     * 开户账号
     */
    private String bankAccount;

    public Integer getInvoiceManageId() {
        return invoiceManageId;
    }

    public void setInvoiceManageId(Integer invoiceManageId) {
        this.invoiceManageId = invoiceManageId;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceTypeStr() {
        return InvoiceTypeEnum.getMessageByCode(invoiceType);
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getInvoiceApplySerial() {
        return invoiceApplySerial;
    }

    public void setInvoiceApplySerial(String invoiceApplySerial) {
        this.invoiceApplySerial = invoiceApplySerial;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Double getBillingAmount() {
        return billingAmount;
    }

    public void setBillingAmount(Double billingAmount) {
        this.billingAmount = billingAmount;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getInvoiceStatusStr() {
        return InvoiceStatusEnum.getMessageByCode(invoiceStatus);
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Date getOperatorTime() {
        return operatorTime;
    }

    public void setOperatorTime(Date operatorTime) {
        this.operatorTime = operatorTime;
    }

    public String getOperatorPhone() {
        return operatorPhone;
    }

    public void setOperatorPhone(String operatorPhone) {
        this.operatorPhone = operatorPhone;
    }

    public String getOperatorPhoneAreaCode() {
        return operatorPhoneAreaCode;
    }

    public void setOperatorPhoneAreaCode(String operatorPhoneAreaCode) {
        this.operatorPhoneAreaCode = operatorPhoneAreaCode;
    }

    public String getExpressMailName() {
        return expressMailName;
    }

    public void setExpressMailName(String expressMailName) {
        this.expressMailName = expressMailName;
    }

    public String getExpressMailNumber() {
        return expressMailNumber;
    }

    public void setExpressMailNumber(String expressMailNumber) {
        this.expressMailNumber = expressMailNumber;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getTaxNumber() {
        return taxNumber;
    }

    public void setTaxNumber(String taxNumber) {
        this.taxNumber = taxNumber;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getTaxNumberOfInvoice() {
        return taxNumberOfInvoice;
    }

    public void setTaxNumberOfInvoice(String taxNumberOfInvoice) {
        this.taxNumberOfInvoice = taxNumberOfInvoice;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getAccountPhone() {
        return accountPhone;
    }

    public void setAccountPhone(String accountPhone) {
        this.accountPhone = accountPhone;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }
}
